ASMGRAPH(1)

NAME
asmgraph - build call graphs from assembler files

SYNOPSIS
asmgraph [-acgnr] [-d num] [-i incl] [-R root] [file ...]

DESCRIPTION
The asmgraph utility reads assembler source code files and prints call graphs from their contents.

OPTIONS
The following options are supported:

-a  Use the GNU as(1) syntax parser for assembler files.

-c  Print all calls within a function, including subsequent invocations of the same function.

-d num
    The depth at which the graph is cut off. The num argument must be a positive integer >=0.

-g  Produce a dot(1) graph for graphviz output.

-i incl
    Increase the number of included symbols. The incl argument can be one of the following characters:

    x   Include external and static data symbols.

    _   Include names that begin with an underscore.

-n  Use the nasm(1) syntax parser for assembler files. This flag will be the default, if neither [-a] nor [-n] are set.

-r  Print the flowgraph in reversed order, producing an inverted listing showing the callers of each function.

-R root
    The function to use as root function. The default is "main". If set to a name, that cannot be found in the file, all functions are printed.

EXAMPLES
TODO

EXIT STATUS

SEE ALSO
cflow(1), cgraph(1)

BUGS
TODO

AUTHORS
Marcus von Appen <marcus@sysfault.org>